function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = DD.static_g1_tt(T, y, x, params);
end
g1 = zeros(24, 24);
g1(1,1)=1-(1-params(1))/(1+params(2));
g1(1,2)=(-((params(1)+params(2))/(1+params(2))));
g1(2,3)=1-(1-params(1))/(1+params(2));
g1(2,4)=(-((params(1)+params(2))/(1+params(2))));
g1(3,24)=(-1);
g1(4,5)=1;
g1(4,6)=1+(params(4)-1)*(1-params(3));
g1(4,7)=(-((params(4)-1)*params(3)*params(13)));
g1(4,8)=(-((params(4)-1)*params(3)*(1-params(13))));
g1(5,6)=(-((1-params(3))*(-(params(4)-1))));
g1(5,7)=(-((1+(params(4)-1)*params(3))*params(11)/(1-params(11))));
g1(5,9)=1;
g1(6,6)=(-((1-params(3))*(-(params(4)-1))));
g1(6,8)=(-((1+(params(4)-1)*params(3))*params(12)/(1-params(12))));
g1(6,10)=1;
g1(7,5)=1;
g1(7,9)=(-1);
g1(7,11)=1;
g1(7,12)=(-1);
g1(8,9)=1;
g1(8,10)=(-1);
g1(9,6)=(-1);
g1(9,13)=1;
g1(9,14)=(-(params(14)*(1-params(20))));
g1(10,6)=(-1);
g1(10,14)=params(14)*params(20);
g1(10,15)=1;
g1(11,1)=(-(1-params(16)));
g1(11,7)=(-params(16));
g1(11,16)=1;
g1(11,17)=(-params(16));
g1(11,18)=(-params(16));
g1(12,3)=(-(1-params(17)));
g1(12,8)=(-params(17));
g1(12,19)=1;
g1(12,20)=(-params(17));
g1(12,21)=(-params(17));
g1(13,18)=(-((-params(13))/params(21)));
g1(13,21)=1;
g1(14,2)=(-params(7));
g1(14,13)=(-params(5));
g1(14,16)=1;
g1(14,22)=(-params(9));
g1(15,4)=(-params(8));
g1(15,15)=(-params(6));
g1(15,19)=1;
g1(15,23)=(-params(10));
g1(16,1)=1;
g1(16,16)=(-1);
g1(16,24)=(1+params(15))/(params(1)+params(15));
g1(17,3)=1;
g1(17,19)=(-1);
g1(17,24)=(1+params(15))/(params(1)+params(15));
g1(18,11)=1;
g1(18,16)=(-1);
g1(18,18)=1;
g1(19,11)=1;
g1(19,19)=(-1);
g1(19,21)=1;
g1(20,17)=1-params(19);
g1(21,20)=1-params(19);
g1(22,22)=1-params(18);
g1(23,23)=1-params(18);
g1(24,6)=1;
g1(24,13)=(-params(20));
g1(24,15)=(-(1-params(20)));
if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
end
end
